Package org.apache.sling.distribution.queue

## Class DistributionQueueItem

- java.lang.Object
- - org.apache.sling.api.wrappers.ValueMapDecorator
  - - org.apache.sling.distribution.queue.DistributionQueueItem

All Implemented Interfaces:
  `Map<String,​Object>`, `org.apache.sling.api.resource.ValueMap`

    public final class DistributionQueueItem
    extends org.apache.sling.api.wrappers.ValueMapDecorator
    implements org.apache.sling.api.resource.ValueMap

An item in a `DistributionQueue` This is basically a proxy to `DistributionPackage` designed to avoid having to keep the package `stream` into the queues.

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ValueMap

`EMPTY`

### Constructor Summary

Constructors
`DistributionQueueItem​(@NotNull String packageId, Map<String,​Object> base)`
`DistributionQueueItem​(String packageId, long size, Map<String,​Object> base)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull String` `getPackageId()`
`long` `getSize()` retrieve the size of the package referenced by this queue item.
`String` `toString()`

### Methods inherited from class org.apache.sling.api.wrappers.ValueMapDecorator

`clear, containsKey, containsValue, entrySet, equals, get, get, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from interface org.apache.sling.api.resource.ValueMap

`get, get`

### Constructor Detail

#### DistributionQueueItem

    public DistributionQueueItem​(@NotNull
                                 @NotNull String packageId,
                                 Map<String,​Object> base)

#### DistributionQueueItem

    public DistributionQueueItem​(String packageId,
                                 long size,
                                 Map<String,​Object> base)

### Method Detail

#### getPackageId

    @NotNull
    public @NotNull String getPackageId()

#### getSize

    public long getSize()

retrieve the size of the package referenced by this queue item.

Returns:
  the size of the underlying package or `-1` if not available.

#### toString

    public String toString()

Overrides:
  `toString` in class `org.apache.sling.api.wrappers.ValueMapDecorator`